package com.ruoyi.logistics.service;


import com.fasterxml.jackson.core.JsonProcessingException;
import com.ruoyi.logistics.domain.InvoiceRequest;

import java.util.Map;

/**
 * 百旺开票Service接口
 * @author RuiJing
 * @date 2026-02-06
 */
public interface InvoiceService {


    Map invoiceIssuance(InvoiceRequest invoiceRequest) throws JsonProcessingException;

    void updateInvoice() throws JsonProcessingException;

    Map returnShop(InvoiceRequest invoiceRequest) throws JsonProcessingException;
}
